<template>
  <v-dialog v-model="show" max-width="500px">
    <v-card>
      <v-card-title>
        Account Detail
      </v-card-title>
      <v-card-text>
          <div style="padding:10px">
            <label>
              <b>Account Name</b>
            </label>
            <div class="mb-5">{{data.name}}</div>

            <label class="mb-10">
              <b>Description</b>
            </label>
            <div class="mb-5">{{data.Description}}</div>

            <label>
              <b>Account Type</b>
            </label>
            <div>{{data.type}}</div>
          </div>

          <div align="right">
            <v-btn color="#babbba" outlined rounded @click.stop="show = false" class="btn-close">
              Close
            </v-btn>

          </div>
      </v-card-text>
    </v-card>
  </v-dialog>
</template>

<script>
export default {
  props: {value:{type:Object}},
  computed: {
    show: {
      get() { 
        let self = this;
        if (self.value["data"]) {
          self.data = self.value.data;
        }
        return self.value['val'];
      },
      set(value) {
        this.$emit("input", value);
      },
    },
  },
  data: function() {
    return {
      data: "",
    };
  },
};
</script>
